SORT-DCTRL(1)

NOM
sort-dctrl - Ordonner des fichiers de contrôle Debian

SYNOPSIS
sort-dctrl [options] [ fichier ... ]

sort-dctrl --copying | --help | --version | -ChV

DESCRIPTION
Le programme sort-dctrl ordonne des fichiers de contrôle Debian suivant les critères indiqués.

Un fichier de contrôle Debian (dctrl) est une base de données semi-structurée avec une seule table conservée dans un fichier texte analysable par une machine. Une telle base est constituée d'un ensemble d'enregistrements ; chaque enregistrement est une association de noms de champ et de contenus de champ. Le fichier texte présente les enregistrements séparés par des lignes vides, tandis que chaque champ est constitué d'une ou plusieurs lignes non vides à l'intérieur d'un enregistrement. Un champ commence par son nom, suivi d'un deux-points, suivi par le contenu du champ. Les deux-points doivent rester sur la première ligne du champ, et la première ligne ne doit pas commencer par un espace. Les lignes suivantes, au contraire, doivent commencer par un espace (un ou plusieurs caractères espace ou tabulation).

Le programme sort-dctrl reconnaît deux types de champs : les champs de chaîne de caractères et les champs de version. Les champs de version agissent aussi comme des champs numériques. Les champs de chaîne de caractères sont comparés d'après une stricte comparaison octet par octet, après avoir ignoré tous les espaces initiaux suivant le deux-points. Les champs de version sont parcourus et comparés comme des numéros de version Debian. Lors de la comparaison de numéros de version, si un contenu de champ s'avère non conforme à la syntaxe de numéro de version, il est considéré plus petit que n'importe quel contenu conforme, et égal à tout autre contenu non conforme. Le programme sort-dctrl suppose que tous les champs sont des champs de chaîne de caractères, sauf indication contraire.

Vous pouvez indiquer un nombre quelconque de clefs pour le tri, en utilisant l'option -k. Les clefs sont interprétées par ordre décroissant de priorité : la première clef indiquée est primaire, la deuxième clef indiquée est secondaire, etc. Si deux enregistrements sont égaux d'après la clef primaire, alors les clefs secondaires sont comparées, etc. Si aucune clef n'est indiquée, le champ « Package » sans modificateur est considéré comme clef par défaut.

OPTIONS

-k clef, --key-spec=clef
    Indiquer une ou plusieurs clefs pour le tri. Vous pouvez indiquer cette option autant de fois que nécessaire. L'argument clef est une liste de clefs séparées par des virgules. Chaque clef indiquée est le nom du champ qui sert de clef, éventuellement suivi d'un deux-points et du modificateur. Les modificateurs de clef suivants sont pris en charge :

    r   Inverser la comparaison pour cette clef, en inversant l'ordre de tri.

    v   Considérer ce champ comme un champ de numéro de version.

    n   Considérer ce champ comme un nombre, ce qui est pour l'instant synonyme de v.

-q, --quiet, --silent
    Ne rien afficher sur le flux de sortie standard. À la place, quitter directement après avoir trouvé la première correspondance.

-l niveau, --errorlevel=niveau
    Configurer le niveau de journalisation, où niveau est fatal, important, informational ou debug. La disponibilité de debug depend des options de compilation. Ces catégories sont ici données dans l'ordre : tous les messages émis lorsque fatal est choisi seront affichés pour un niveau d'erreur important, etc. Par défaut, important est sélectionné.

-V, --version
    Afficher les informations de version.

-C, --copying
    Afficher la licence. La sortie est particulièrement longue, veuillez la rediriger quelque part, ou utiliser un tube (vers votre afficheur de texte préféré par exemple).

-h, --help
    Afficher une courte aide.

EXEMPLES
Voici quelques exemples d'appel du programme.

sort-dctrl /var/lib/dpkg/available
    Affiche le fichier available de dpkg ordonné par nom de paquet.

sort-dctrl -k Version:v /var/lib/dpkg/available
    Affiche le fichier available de dpkg dans l'ordre croissant des numéros de version.

sort-dctrl -k Version:vr /var/lib/dpkg/available
    Affiche le fichier available de dpkg dans l'ordre décroissant des numéros de version.

sort-dctrl -k Package,Version:v /var/lib/dpkg/available
    Affiche le fichier available de dpkg ordonné en priorité par nom de paquet puis dans l'ordre décroissant des numéros de version.

sort-dctrl -k Installed-Size:n,Size:nr /var/lib/dpkg/available
    Affiche le fichier available de dpkg ordonné en priorité dans l'ordre croissant des tailles d'installation puis dans l'ordre décroissant des tailles de paquet.

AUTEUR
Le programme et cette page de manuel ont été écrits par Antti-Juhani Kaijanaho <ajk@debian.org>.

VOIR AUSSI
La Charte Debian. Publiée dans le paquet Debian debian-policy. Également disponible sur le site de Debian.

grep-dctrl(1)

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Elle est maintenue par David Prévot david@tilapin.org et les membres de la liste debian-l10n-french@lists.debian.org depuis mars 2011.

Veuillez signaler toute erreur de traduction en écrivant à debian-l10n-french@lists.debian.org ou par un rapport de bogue sur le paquet dctrl-tools.

Vous pouvez toujours accéder à la version anglaise de ce document en utilisant la commande « man -L C section page_de_man ».